Package cds.healpix

# Interface HealpixNestedBMOC.CurrentValueAccessor

Enclosing class:
  `HealpixNestedBMOC`

public static interface HealpixNestedBMOC.CurrentValueAccessor
Provides informations on the current element of the BMOC while iterating over it.

Author:
  F.-X. Pineau

## Method Summary

Modifier and Type
Method
Description
`int`
`getDepth()`
Returns the depth of the BMOC element this cursor is pointing at.
`long`
`getHash()`
Returns then hash value of the BMOC element this cursor is pointing at.
`long`
`getRawValue()`
`boolean`
`isFull()`
Returns `true` if the status the BMOC element this cursor is pointing at is `HealpixNestedBMOC.Status.FULL`.

## Method Details

### getRawValue

long getRawValue()

Returns:
  the current BMOC value, encoded in a specific way

### getDepth

int getDepth()
Returns the depth of the BMOC element this cursor is pointing at.

Returns:
  the depth of the BMOC element this cursor is pointing at.

### getHash

long getHash()
Returns then hash value of the BMOC element this cursor is pointing at.

Returns:
  then hash value of the BMOC element this cursor is pointing at.

### isFull

boolean isFull()
Returns `true` if the status the BMOC element this cursor is pointing at is `HealpixNestedBMOC.Status.FULL`.

Returns:
  `true` if the status the BMOC `true` if the status the BMOC element this cursor is pointing at is `HealpixNestedBMOC.Status.FULL` element this cursor is pointing at is `HealpixNestedBMOC.Status.FULL`.